# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/Depends.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/PkgConfig.pm) perl(Glib.pm) perl(Gnome2/VFS.pm) perl(Gtk2.pm) perl(Gtk2/CodeGen.pm) perl(XSLoader.pm) pkgconfig(libgnomeui-2.0)
# END SourceDeps(oneline)
%define module_name Gtk2-Recent
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.052
Release: alt3
Summary: (DEPRECATED) Perl wrapper to the recent files spec Gtk
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XA/XAOC/%{module_name}-%{version}.tar.gz

%description
NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE

This module has been deprecated by the Gtk-Perl project.  This means that the
module will no longer be updated with security patches, bug fixes, or when
changes are made in the Perl ABI.  The Git repo for this module has been
archived (made read-only), it will no longer possible to submit new commits to
it.  You are more than welcome to ask about this module on the Gtk-Perl
mailing list, but our priorities going forward will be maintaining Gtk-Perl
modules that are supported and maintained upstream; this module is neither.

Since this module is licensed under the LGPL v2.1, you may also fork this
module, if you wish, but you will need to use a different name for it on CPAN,
and the Gtk-Perl team requests that you use your own resources (mailing list,
Git repos, bug trackers, etc.) to maintain your fork going forward.

=over

=item *

Perl URL: https://gitlab.gnome.org/GNOME/perl-gtk2-recent

=item *

Upstream URL: https://gitlab.gnome.org/Archive/libgnome

=item *

Last upstream version: 2.32.1

=item *

Last upstream release date: 2011-01-31

=item *

Migration path for this module: Gtk3::Recent*

=item *

Migration module URL: https://metacpan.org/pod/Gtk3

=back

NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE


This model allows you to access, modify and show the recent files list,
using the recent files specification provided by freedesktop.org and
implemented using the Gtk libraries.

The recent files list are accessed using the Gtk2::Recent::Model object;
single entries in the recent files list are represented using the
Gtk2::Recent::Item object.

To discuss gtk2-perl, ask questions and flame/praise the authors, join
gtk-perl-list@gnome.org at lists.gnome.org.

Find out more about Gnome at http://www.gnome.org.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog copyright.pod TODO README AUTHORS examples
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.052-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.052-alt2
- rebuild with perl 5.34.0

* Tue Jan 12 2021 Igor Vlasenko <viy@altlinux.ru> 0.052-alt1
- initial import by package builder

